<ng-container [ngSwitch]="phase.type">
  <kypo-info-phase-configuration *ngSwitchCase="phaseTypes.Info"
                                 [phase]="phase">
  </kypo-info-phase-configuration>
  <kypo-training-phase-configuration *ngSwitchCase="phaseTypes.Training"
                                     [phase]="phase"
                                     [presentTrainingPhases]="presentTrainingPhases"
                                     (phaseChange)="onPhaseChange($event)"
                                     (isMatrixValid)="onValidityChange($event)">
  </kypo-training-phase-configuration>
  <kypo-questionnaire-phase-configuration *ngSwitchCase="phaseTypes.Questionnaire"
                                          [phase]="phase"
                                          [presentTrainingPhases]="presentTrainingPhases">
  </kypo-questionnaire-phase-configuration>
</ng-container>
